event-target-polyfill

0.0.4 • Public • Published

npm version Node.js CI

event-target-polyfill

A polyfill for EventTarget (and Event), meant to run in older version of node or possibly IE 11, that has the most accurate set of characteristics of EventTarget that can be provided.

If you find this implementation can be improved, please submit a PR and ping me on Twitter via DM.

NOTE: If you are using Node 14 and higher, EventTarget is available directly via experimental features MDN: EventTarget

Usage

import 'event-target-polyfill';

const et = new EventTarget();

et.addEventListener('test', () => console.log('hit!'));

et.dispatchEvent(new Event('test'));

Development

This library has no dependencies. Even development dependencies. To test just run npm test. It runs a script, and if it finishes without error, the tests pass.

Readme

Keywords

Package Sidebar

Install

npm i event-target-polyfill

Weekly Downloads

200,791

Version

0.0.4

License

MIT

Unpacked Size

13.8 kB

Total Files

6

Last publish

Collaborators

  • blesh